"use strict";

var { data } = require("sdk/self");
var pageWorkers = require("sdk/page-worker");
var prefs = require("sdk/simple-prefs").prefs;

var pageWorker = require("sdk/page-worker").Page({
  contentScriptFile: [data.url("jquery-1.10.2.min.js"),
                      data.url("daemon.js")]
});

pageWorker.port.on("my-script-response", function(message) {
  console.log(message);
});

pageWorker.port.on("my-script-lastsubmit", function(val) {
  prefs.lastsubmission = val;
});

const {Cu,Cc,Ci} = require("chrome");

Cu.import("resource://gre/modules/devtools/Console.jsm");
Cu.import("resource://gre/modules/XPCOMUtils.jsm");

var hs = Cc["@mozilla.org/browser/nav-history-service;1"].getService(Ci.nsINavHistoryService);

var historyObserver = {
  onBeginUpdateBatch: function() {},
  onEndUpdateBatch: function() {},
  onVisit: function(aURI, aVisitID, aTime, aSessionID, aReferringID, aTransitionType) {
	//console.log("--- "+aURI.spec);
	pageWorker.port.emit("my-addon-message",aURI.spec,prefs);
  },
  onTitleChanged: function(aURI, aPageTitle) {},
  onBeforeDeleteURI: function(aURI) {},
  onDeleteURI: function(aURI) {},
  onClearHistory: function() {},
  onPageChanged: function(aURI, aWhat, aValue) {},
  onDeleteVisits: function() {},
  QueryInterface: XPCOMUtils.generateQI([Ci.nsINavHistoryObserver])
};

hs.addObserver(historyObserver, false);
